
package body Linear is

  procedure SetZero(B: out Vector) is
  begin
    for I in B'Range loop
      B(I) := Zero;
    end loop;
  end SetZero;

  procedure SetZero(A: out Matrix) is
  begin
    for I in A'Range(1) loop
      for J in A'Range(2) loop
        A(I,J) := Zero;
      end loop;
    end loop;
  end SetZero;

  procedure SetColumn(J: in Integer; V: in Vector; A: in out Matrix) is
  begin
    for I in A'Range(1) loop
      A(I,J) := V(I);
    end loop;
  end SetColumn;

  function GetColumn(J: Integer; A: Matrix) return Vector is
     V: Vector(A'Range(1));
  begin
    for I in A'Range(1) loop
      V(I) := A(I,J);
    end loop;
    return V;
  end GetColumn;

end Linear;
