with Reps;
use Reps;

package Numerics.Ops is

  pragma Pure;

  function Exp(S: Numeric) return Numeric;
  function Log(S: Numeric) return Numeric;
  function Sqrt(S: Numeric) return Numeric;
  procedure Root4(C0,C1,C3: in Numeric; S0: in Radius; S: out Numeric; Exists: out Boolean);
  function Widen(S: Numeric) return Numeric;

end Numerics.Ops;
