
package body Numerics is

  function IsNumeric(S: Numeric) return Boolean is
  begin
    return True;
  end IsNumeric;

  function Scal(K: Integer) return Numeric is
  begin
    return Numeric(K);
  end Scal;

  function Scal(R: Rep) return Numeric is
  begin
    return Numeric(R);
  end Scal;

  function Scal(R1,R2: Rep) return Numeric is
  begin
    return Numeric(Half*(R1+R2));
  end Scal;

  function Ball(R: Rep) return Numeric is
  begin
    return Numeric(0.0);
  end Ball;

  function Ball(S: Numeric) return Numeric is
  begin
    return Numeric(0.0);
  end Ball;

  function Approx(S: Numeric) return Rep is
  begin
    return Rep(S);
  end Approx;

  procedure Split(S: in Numeric; S0,SE: out Numeric) is
  begin
    S0 := S;
    SE := Numeric(0.0);
  end Split;

  function InfAbs(S: Numeric) return Rep is
  begin
    return Abs(Rep(S));
  end InfAbs;

  function Piece(M,N: Positive; S: Numeric) return Numeric is
  begin
    return S;
  end Piece;

  function Envelope(S1,S2: Numeric) return Numeric is
  begin
    return (S1+S2)/Numeric(2.0);
  end Envelope;

  function Sqr(S: Numeric) return Numeric is
  begin
    return S*S;
  end Sqr;

  function "*"(R: Rep; S: Numeric) return Numeric is
  begin
    return Numeric(R)*S;
  end "*";

  function Inv(S: Numeric) return Numeric is
  begin
    return Numeric(1.0)/S;
  end Inv;

  function "/"(S: Numeric; R: Rep) return Numeric is
  begin
    return S/Numeric(R);
  end "/";

end Numerics;
