with Reps, Linear, Fouriers_Init;
use Reps, Linear, Fouriers_Init;

generic

   Number,Size,PartSize: in Positive;

package Packed is

   function DF(Alpha: Rep; J: Parity; R: Radius; A: Vector) return Matrix;
   function DFmI(Alpha: Rep; J: Parity; R: Radius; A: Vector) return Matrix;
   function DUtildemI(Alpha: Rep; J: Parity; R: Radius; A,B: Vector) return Matrix;
   function L(Alpha: Rep; J: Parity; R: Radius; A: Vector) return Matrix;
   function Wi(Alpha: Rep; J: Parity; R: Radius; B0,A: Vector) return Matrix;
   procedure Newton(Alpha: in Rep; Eps: in Radius; J: in Parity; R: in Radius; A: in out Vector);
   procedure NewtonU(Alpha,Lambda: in Rep; W: in Vector; Eps: in Radius; J: in Parity; R: in Radius; A: in out Vector);

end Packed;
