
package body SLinear.IO is

  package Txt_Int_IO is new Ada.Text_IO.Integer_IO(Integer);
  use Txt_Int_IO;

  procedure ShortPut(F: in Ada.Text_IO.File_Type; I: in Integer) is
    K,D: Integer;
  begin
    K := Abs(I);
    if I<0 then D := 2; else D := 1; end if;
    while K>9 loop
      K := K/10;
      D := D+1;
    end loop;
    Txt_Int_IO.Put(F,I,D,10);
  end ShortPut;

  procedure Show(A: in SMatrix; Cut: in Rep := Zero) is
    use Ada.Text_IO;
  begin
    for I in A'Range(1) loop
      for J in A'Range(2) loop
        if SupAbs(A(I,J))>Cut then
          Put("A(");
          ShortPut(Current_Output,I);
          Put(",");
          ShortPut(Current_Output,J);
          Put(") = ");
          Show(A(I,J));
        end if;
      end loop;
    end loop;
    New_Line;
  end Show;

end SLinear.IO;
