
package body SLinear is

  procedure SetZero(B: out SVector) is
    ScalZero:  constant Scalar := Scal(Zero);
  begin
    for I in B'Range loop
      B(I) := ScalZero;
    end loop;
  end SetZero;

  procedure SetZero(A: out SMatrix) is
    ScalZero:  constant Scalar := Scal(Zero);
  begin
    for I in A'Range(1) loop
      for J in A'Range(2) loop
        A(I,J) := ScalZero;
      end loop;
    end loop;
  end SetZero;

  procedure SetColumn(J: in Integer; V: in SVector; A: in out SMatrix) is
  begin
    for I in A'Range(1) loop
      A(I,J) := V(I);
    end loop;
  end SetColumn;

end SLinear;
